{
  "schema_version": "1.4.0",
  "id": "GHSA-x3j8-7c3x-xw4g",
  "modified": "2022-05-14T01:41:32Z",
  "published": "2022-05-14T01:41:32Z",
  "aliases": [
    "CVE-2018-18666"
  ],
  "details": "The mintToken function of SwftCoin (SWFTC) aka SwftCoin, an Ethereum token, has an integer overflow that allows the owner of the contract to set the balance of an arbitrary user to any value.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-18666"
    },
    {
      "type": "WEB",
      "url": "https://github.com/SwftCoins/SwftCoin/issues/1"
    },
    {
      "type": "WEB",
      "url": "https://etherscan.io/address/0x0bb217e40f8a5cb79adf04e1aab60e5abd0dfc1e#code"
    },
    {
      "type": "WEB",
      "url": "https://github.com/n0pn0pn0p/smart_contract_-vulnerability/blob/master/PolyAi.md"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-12-28T17:29:00Z"
  }
}